//+---------------------------------------------------------------------------------------------------------------------+
//|                                                                                                   TestCustomInd.mq4 |
//+---------------------------------------------------------------------------------------------------------------------+
#property indicator_separate_window
#property indicator_buffers 1                            // -  

input string   vol_Str   = "  ";
input datetime vol_D     = D'27.06.2014';                // 1403827200
input datetime vol_dt    = 1403827200;                   // D'27.06.2014'
input long     vol_Long  = 1000;                            
input int      vol_Int   = 1000;
input bool     vol_Bool  = false;

double tick[];

//+----------------------------------------------------------------------------------------------------------------------+
int OnInit()
  {
   SetIndexBuffer(0, tick, INDICATOR_DATA);
   SetIndexStyle (0, DRAW_LINE, STYLE_SOLID, 1, clrRed);
   return(INIT_SUCCEEDED);
  }

//+----------------------------------------------------------------------------------------------------------------------+

int OnCalculate(const int rates_total,             // -      
                const int prev_calculated,         // -      (  - 0)
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[]){
 
 tick[rates_total-prev_calculated]=1;
 
 Print("vol_Str  = ", vol_Str);
 Print("vol_D    = ", vol_D);
 Print("vol_dt   = ", vol_dt);
 Print("vol_Long = ", vol_Long);
 Print("vol_Int  = ", vol_Int);
 Print("vol_Bool = ", vol_Bool);

 return(rates_total);
}
//+----------------------------------------------------------------------------------------------------------------------+
